"ODI can't recognize the JDK version" Error Received when Trying to Launch ODI Studio

(Doc ID 2398579.1)

Last updated on MAY 25, 2018

Applies to:

Oracle Data Integrator - Version 11.1.1.9.0 and later
Information in this document applies to any platform.

Symptoms

When attempting to launch Oracle Data Integrator (ODI) Studio, the following error occurs:

ODI_HOME/oracledi/client/odi/bin/../../ide/bin/launcher.sh: line 544: 7254 Killed ${JAVA} "${APP_VM_OPTS[@]}" ${APP_ENV_VARS} -classpath ${APP_CLASSPATH} ${APP_MAIN_CLASS} "${APP_APP_OPTS[@]}"
Error: ODI can't recognize the JDK version

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms